---
title: "Doing a Meta-Analysis for the First Time"
author: "Hung Vo"
date: 2019-03-25T21:13:14-05:00
categories: ["R"]
tags: ["R Markdown", "plot", "regression"]
bibliography: [meta-analysis-first-time.bib]
link-citations: true
---



<div id="what-is-a-meta-analysis" class="section level1">
<h1>What is a meta analysis?</h1>
<p>A meta-analysis is a statistical method for combining the results of a specified outcome from multiple scientific studies. The aim is to estimate the overall effect within a particular area of research. For example, there may be multiple independent studies undertaken on the effectiveness of Cognitive Behaviour Therapy (CBT) for depression. A meta-analysis could be completed to provide a quantitative review to consolidate the outcomes of CBT.</p>
</div>
<div id="collate-key-statistics-from-studies" class="section level1">
<h1>Collate key statistics from studies</h1>
<pre class="r"><code># List packages and instal them
pkgs &lt;- c(&quot;tidyverse&quot;, &quot;metafor&quot;)
# new.packages &lt;- pkgs[!(pkgs %in% installed.packages()[,&quot;Package&quot;])]
# if(length(new.packages)) install.packages(new.packages)

# Load multiple packages
lapply(pkgs, require, character.only = TRUE)
## Warning: package &#39;stringr&#39; was built under R version 3.5.2
## [[1]]
## [1] TRUE
## 
## [[2]]
## [1] TRUE</code></pre>
</div>
<div id="determine-what-modelling-was-used" class="section level1">
<h1>Determine what modelling was used</h1>
<p>In <span class="citation">Panos et al. (<a href="#ref-panos2014meta">2014</a>)</span>, the following information was provided about the modelling used for the meta-analysis:</p>
<blockquote>
<p>For each analysis, we performed a test for homogeneity and used both Mantel–Haenszel fixed effects and <em>DerSimonian and Laird random effects models</em> to calculate the combined effect size.</p>
</blockquote>
<p>The DerSimonian and Laird random effects model appears to be a commonly used random effects model for the purposes of running a meta-analysis <span class="citation">(Kelley and Kelley <a href="#ref-kelley2012statistical">2012</a>)</span>.</p>
</div>
<div id="collate-key-statistics-from-the-studies" class="section level1">
<h1>Collate key statistics from the studies</h1>
<p><span class="citation">Panos et al. (<a href="#ref-panos2014meta">2014</a>)</span> identified five studies that provided the effect sizes (using Hedge’s <em>g</em>) for treating parasuicidal behaviour. We construct a data frame that includes the details of the studies, the effect sizes and the reported study variances as described below.</p>
<p>Hedge’s <em>g</em> is a measure of effect size. It tells us how large the difference is between two groups. In this case, the studies in <span class="citation">Panos et al. (<a href="#ref-panos2014meta">2014</a>)</span> included studies that had an experimental group (DBT) and a treatment as usual (TAU) group. The mean differences in pre and post-intervention scores on parasuicidal behaviour psychological scales were then compared between the two groups to determine efficacy of DBT.</p>
<pre class="r"><code>
# Panos, Jackson, Hasan &amp; Panos (2014)
# Store key statistics in a data frame
studyname &lt;- c(&quot;Linehan et al. (1991)&quot;,
               &quot;Koons et al. (2001)&quot;,
               &quot;Turner et al. (2000)&quot;,
               &quot;Linehan et al. (2006)&quot;,
               &quot;Verheul et al. (2003)&quot;)
year &lt;- c(1991, 2001, 2000, 2006, 2003)
hedgeg &lt;- c(-0.184, -0.531, -1.407, -0.592, -0.799)
variance &lt;- c(0.088, 0.190, 0.197, 0.057, 0.210)

panos_df &lt;- data.frame(studyname, year, hedgeg, variance)
  </code></pre>
</div>
<div id="fitting-a-random-effects-model" class="section level1">
<h1>Fitting a random-effects model</h1>
<p>Using the <code>rma()</code> function from the <code>metafor</code> package, we can fit a random-effects model. We set the estimator method as “DL” to adopt the DerSimonian and Laird (DL) estimator as per the method used in <span class="citation">Panos et al. (<a href="#ref-panos2014meta">2014</a>)</span>.</p>
<pre class="r"><code>
# Fit the RE model
res &lt;- metafor::rma(hedgeg, 
             variance, 
             data = panos_df, 
             method = &quot;DL&quot;,
             slab = studyname) 
res
## 
## Random-Effects Model (k = 5; tau^2 estimator: DL)
## 
## tau^2 (estimated amount of total heterogeneity): 0.0459 (SE = 0.1209)
## tau (square root of estimated tau^2 value):      0.2143
## I^2 (total heterogeneity / total variability):   27.09%
## H^2 (total variability / sampling variability):  1.37
## 
## Test for Heterogeneity: 
## Q(df = 4) = 5.4863, p-val = 0.2409
## 
## Model Results:
## 
## estimate      se     zval    pval    ci.lb    ci.ub     
##  -0.6212  0.1843  -3.3705  0.0008  -0.9824  -0.2600  ***
## 
## ---
## Signif. codes:  0 &#39;***&#39; 0.001 &#39;**&#39; 0.01 &#39;*&#39; 0.05 &#39;.&#39; 0.1 &#39; &#39; 1</code></pre>
</div>
<div id="creating-a-forest-plot" class="section level1">
<h1>Creating a forest plot</h1>
<p>The <code>metafor</code> package has a <code>forest()</code> function that will render a graphical representation of the scientific studies included and their estimated results. The study authors are listed on the left with the effect sizes denoted by the squares. You can find the summary measure (i.e. the meta-analysed measure of the effect) represented by the diamond.</p>
<p>The random-effects (RE) model yields a summary measure result of -0.62 which appears to be close to the reported pooled Hedge’s <em>g</em> result in <span class="citation">Panos et al. (<a href="#ref-panos2014meta">2014</a>)</span> of -0.622.</p>
<pre class="r"><code>
# Forest plot
metafor::forest(res, 
                xlim = c(-4,2), 
                digits = c(2,3), 
                cex = 0.75)</code></pre>
<p><img src="/about-learning/post/2019-03-13-meta-analysis-first-time_files/figure-html/panos_fp-1.png" width="100%" /></p>
</div>
<div id="references" class="section level1 unnumbered">
<h1>References</h1>
<div id="refs" class="references">
<div id="ref-kelley2012statistical">
<p>Kelley, George A, and Kristi S Kelley. 2012. “Statistical Models for Meta-Analysis: A Brief Tutorial.” <em>World Journal of Methodology</em> 2 (4). Baishideng Publishing Group Inc:27.</p>
</div>
<div id="ref-panos2014meta">
<p>Panos, Patrick T, John W Jackson, Omar Hasan, and Angelea Panos. 2014. “Meta-Analysis and Systematic Review Assessing the Efficacy of Dialectical Behavior Therapy (Dbt).” <em>Research on Social Work Practice</em> 24 (2). Sage Publications Sage CA: Los Angeles, CA:213–23.</p>
</div>
</div>
</div>
